org.apache.tamaya.inject.internal

## Class ConfiguredSetterMethod

- java.lang.Object
- - org.apache.tamaya.inject.internal.ConfiguredSetterMethod

- All Implemented Interfaces:
    org.apache.tamaya.inject.spi.ConfiguredMethod

      public class ConfiguredSetterMethod
      extends Object
      implements org.apache.tamaya.inject.spi.ConfiguredMethod

  Small class that contains and manages all information and access to a configured field and a concrete instance current it (referenced by a weak reference). It also implements all aspects current keys filtering, conversions any applying the final keys by reflection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfiguredSetterMethod(Method method)` Models a configured field and provides mechanisms for injection.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Object target, org.apache.tamaya.Configuration config)`
    `Method` | `getAnnotatedMethod()` Access the annotated method.
    `Collection<String>` | `getConfiguredKeys()` Access the applyable configuration keys for this field.
    `String` | `getName()`
    `Class<?>[]` | `getParameterTypes()` Get the type to be set on the setter method.
    `String` | `getSignature()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfiguredSetterMethod

          public ConfiguredSetterMethod(Method method)

      Models a configured field and provides mechanisms for injection.
      Parameters:
        `method` - the method instance.

  - ### Method Detail

    - #### configure

          public void configure(Object target,
                       org.apache.tamaya.Configuration config)
                         throws org.apache.tamaya.ConfigException

      Specified by:
        `configure` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`
      Throws:
        `org.apache.tamaya.ConfigException`

    - #### getConfiguredKeys

          public Collection<String> getConfiguredKeys()

      Access the applyable configuration keys for this field.
      Specified by:
        `getConfiguredKeys` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`
      Returns:
        the configuration keys, never null.

    - #### getParameterTypes

          public Class<?>[] getParameterTypes()

      Get the type to be set on the setter method.
      Specified by:
        `getParameterTypes` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`
      Returns:
        the setter type.

    - #### getAnnotatedMethod

          public Method getAnnotatedMethod()

      Access the annotated method.
      Specified by:
        `getAnnotatedMethod` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`
      Returns:
        the annotated method, not null.

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### getSignature

          public String getSignature()

      Specified by:
        `getSignature` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.